%define upstream_name    SQL-Abstract-More
%define upstream_version 1.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Extension of SQL::Abstract with more constructs and more flexible API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Params::Validate)
BuildRequires: perl(SQL::Abstract) >= 1.610.0
BuildRequires: perl(SQL::Abstract::Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Generates SQL from Perl datastructures. This is a subclass of the
SQL::Abstract manpage, fully compatible with the parent class, but it
handles a few additional SQL constructs, and provides a different API with
named parameters instead of positional parameters, so that various SQL
fragments are more easily identified.

This module was designed for the specific needs of the DBIx::DataModel
manpage, but is published as a standalone distribution, because it may
possibly be useful for other needs.

This software is not yet fully stable; future versions may introduce some
minor differences in the calling interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Fri Dec 16 2011 kharec <kharec> 1.0.0-1.mga2
+ Revision: 182711
- update to 1.00

* Fri Dec 16 2011 kharec <kharec> 0.60.0-1.mga2
+ Revision: 182427
- update to 0.06

* Sun Dec 04 2011 kharec <kharec> 0.50.0-1.mga2
+ Revision: 175999
- imported package perl-SQL-Abstract-More


* Sun Dec 04 2011 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
